From 101ca2971aa2a7e1b12e64eca76f46e4e79e485b Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Tue, 26 Nov 2024 23:30:32 +0800
Subject: [PATCH 2/3] Define MSG_NOSIGNAL when undefined

---
 test/epoll-test.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/test/epoll-test.c b/test/epoll-test.c
index f53ee97..64dfade 100644
--- a/test/epoll-test.c
+++ b/test/epoll-test.c
@@ -42,6 +42,11 @@
 #define EPOLLRDHUP 0x2000
 #endif
 
+/* macOS and Solaris do not have it */
+#ifndef MSG_NOSIGNAL
+#define MSG_NOSIGNAL 0
+#endif
+
 static void
 fd_pipe(int fds[3])
 {
-- 
2.47.1

